<h3 class="h3 " id="lemma_head" data-pk="{{e.id}}">{{ e.head }} [#{{e.id}}]  <span id="concept_path" class=""></span> </h3>
<div>
    <label class="checkbox-inline">
        <input id="facet-checkbox" data-pk="{{e.id}}" type="checkbox" value="" {% if e.isFacet %}checked{% endif %}>
        Facet
    </label>
</div>
<div>
    <h4>Terms <button id="newTerm" data-pk="{{e.id}}" type="button" class="btn btn-info btn-xs">New Term</button></h4>
    <table class="table table-striped table-condensed">
        <tr>
            <th>Term</th><th>Article</th><th>Type</th><th>Language</th><th>X</th>
        </tr>
        {% for l in e.skosLabels %}
            <tr>
                <td>
                    <a href="#" id="value-{{l.id}}" data-name="noteValue" data-type="text"
                       data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction')}}"
                       data-title="Enter value">{{ l.noteValue|e }}</a>
                </td>
                <td>
                    <a href="#" id="article-{{l.id}}" data-name="article" data-type="select"
                       data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction')}}"
                       data-title="Enter value">{% if l.article != null %} ({{ l.article.value }}) {% endif %}</a>
                </td>
                <td>
                    <a href="#" id="type-{{l.id}}" data-name="noteType" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction')}}"
                       data-title="Enter value">{% if l.noteType != null %} {{ l.noteType.value }} {% endif %}</a>
                </td>
                <td>
                    <a href="#" id="language-{{l.id}}" data-name="noteLanguage" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction')}}"
                       data-title="Enter value">{% if l.noteLanguage != null %} {{ l.noteLanguage.name }} {% endif %}</a>
                </td>
                <td>
                    <button id="delete-label-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endfor %}
    </table>

    


    <h4>Relations <button id="newRelation" data-pk="{{e.id}}" type="button" class="btn btn-info btn-xs">New Relation</button> </h4>

    <table class="table table-striped table-condensed">
        <tr><th>Type</th><th>Concept</th><th>-</th><th>-</th></tr>

        <tr><th>Constituency and Function of the food</th><th></th><th></th><th></th></tr>

        {% for l in e.skosRelations %}
        {% if l.relationType == null or l.relationType.category == 1 or l.relationType.category == 0 %}
            <tr>
                <td>
                    <a href="#" id="relation-type-{{l.id}}" data-name="relationType" data-type="select" data-pk="{{l.id}}"
                       data-url="{{ path('treeEditAJAXAction2')}}" data-title="Enter value">
                        {% if l.relationType != null %} {{ l.relationType.value }} {% endif %}
                    </a>  
                </td>
                <td>
                    <a href="#" id="relation-concept-{{l.id}}" data-name="relatedTerm" data-type="select2" data-pk="{{l.id}}" 
                       data-url="{{ path('treeEditAJAXAction2')}}" data-value="{% if l.relatedTerm != null %}{{ l.relatedTerm.id }}{% endif %}" data-title="Select" class="editable editable-click" data-original-title="" 
                       title="">{% if l.relatedTerm != null %}<b>{{ l.relatedTerm.getFormattedName() }}</b>
<span style="color:gray">{{ l.relatedTerm.getFormattedParents() }}</span>{% endif %}</a>
                </td>
                <td>{% if l.relatedTerm != null %}
			<a id="visit-relation-concept-{{l.id}}" class="visit-concept btn btn-warning btn-xs"
				data-pk="{{ l.relatedTerm.id }}" href="#" onclick="return false;">→ Visit Concept</a>
                {% endif %}</td>
                <td>
                    <button id="delete-relation-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endif %}
        {% endfor %}

        <tr><th>Nutritional and Dietary information</th><th></th><th></th><th></th></tr>

        {% for l in e.skosRelations %}
               {% if l.relationType != null %}
 {% if l.relationType.category == 2 %}
            <tr>
                <td style="background-color:#ccffcc">
                    <a href="#" id="relation-type-{{l.id}}" data-name="relationType" data-type="select" data-pk="{{l.id}}"
                       data-url="{{ path('treeEditAJAXAction2')}}" data-title="Enter value">
                        {% if l.relationType != null %} {{ l.relationType.value }} {% endif %}
                    </a>  
                </td>
                <td>
                    <a href="#" id="relation-concept-{{l.id}}" data-name="relatedTerm" data-type="select2" data-pk="{{l.id}}" 
                       data-url="{{ path('treeEditAJAXAction2')}}" data-value="{% if l.relatedTerm != null %}{{ l.relatedTerm.id }}{% endif %}" data-title="Select" class="editable editable-click" data-original-title="" 
                       title="">{% if l.relatedTerm != null %}<b>{{ l.relatedTerm.getFormattedName() }}</b>
<span style="color:gray">{{ l.relatedTerm.getFormattedParents() }}</span>{% endif %}</a>
                </td>
                <td>
                    {% if l.relatedTerm != null %}
                        <a id="visit-relation-concept-{{l.id}}" class="visit-concept btn btn-warning btn-xs"
                           data-pk="{{ l.relatedTerm.id }}" href="#" onclick="return false;">→ Visit Concept</a>
                    {% endif %}
                </td>
                <td>
                    <button id="delete-relation-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endif %}
        {% endif %}
        {% endfor %}

        <tr><th>Cultural information</th><th></th><th></th><th></th></tr>

        {% for l in e.skosRelations %}
                     {% if l.relationType != null %}
  {% if l.relationType.category == 3 %}
            <tr>
                <td style="background-color:#ffccff">
                    <a href="#" id="relation-type-{{l.id}}" data-name="relationType" data-type="select" data-pk="{{l.id}}"
                       data-url="{{ path('treeEditAJAXAction2')}}" data-title="Enter value">
                        {% if l.relationType != null %} {{ l.relationType.value }} {% endif %}
                    </a>  
                </td>
                <td>
                    <a href="#" id="relation-concept-{{l.id}}" data-name="relatedTerm" data-type="select2" data-pk="{{l.id}}" 
                       data-url="{{ path('treeEditAJAXAction2')}}" data-value="{% if l.relatedTerm != null %}{{ l.relatedTerm.id }}{% endif %}" data-title="Select" class="editable editable-click" data-original-title="" 
                       title="">{% if l.relatedTerm != null %}<b>{{ l.relatedTerm.getFormattedName() }}</b>
<span style="color:gray">{{ l.relatedTerm.getFormattedParents() }}</span>{% endif %}</a>
                </td>
                <td>
			<a id="visit-relation-concept-{{l.id}}" class="visit-concept btn btn-warning btn-xs"
				data-pk="{{ l.relatedTerm.id }}" href="#" onclick="return false;">→ Visit Concept</a>
                </td>
                <td>
                    <button id="delete-relation-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endif %}
        {% endif %}
        {% endfor %}

        
        <tr><th>Dish structure</th><th></th><th></th><th></th></tr>

        {% for l in e.skosRelations %}
                     {% if l.relationType != null %}
  {% if l.relationType.category == 4 %}
            <tr>
                <td style="background-color:#ffccff">
                    <a href="#" id="relation-type-{{l.id}}" data-name="relationType" data-type="select" data-pk="{{l.id}}"
                       data-url="{{ path('treeEditAJAXAction2')}}" data-title="Enter value">
                        {% if l.relationType != null %} {{ l.relationType.value }} {% endif %}
                    </a>  
                </td>
                <td>
                    <a href="#" id="relation-concept-{{l.id}}" data-name="relatedTerm" data-type="select2" data-pk="{{l.id}}" 
                       data-url="{{ path('treeEditAJAXAction2')}}" data-value="{% if l.relatedTerm != null %}{{ l.relatedTerm.id }}{% endif %}" data-title="Select" class="editable editable-click" data-original-title="" 
                       title="">{% if l.relatedTerm != null %}<b>{{ l.relatedTerm.getFormattedName() }}</b>
<span style="color:gray">{{ l.relatedTerm.getFormattedParents() }}</span>{% endif %}</a>
                </td>
                <td>
			<a id="visit-relation-concept-{{l.id}}" class="visit-concept btn btn-warning btn-xs"
				data-pk="{{ l.relatedTerm.id }}" href="#" onclick="return false;">→ Visit Concept</a>
                </td>
                <td>
                    <button id="delete-relation-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endif %}
        {% endif %}
        {% endfor %}
        
        
    </table>

    


    <h4>Notes <button id="newNote" data-pk="{{e.id}}" type="button" class="btn btn-info btn-xs">New Note</button></h4>

    <table class="table table-striped table-condensed">
        <tr>
            <th>Type</th><th>Lang</th><th>Value</th><th>Editor</th><th>-</th>
        </tr>

        <tr><th>Constituency and Function of the food</th><th></th><th></th><th></th></tr>


        {% for l in e.skosNotes %}
        {% if l.noteType ==null or l.noteType.category == 1 or l.noteType.category == 0 %}
            <tr>
                <td>
                    <a href="#" id="note-type-{{l.id}}" data-name="noteType" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" data-title="Enter value">
                        {% if l.noteType != null %} {{ l.noteType.value }} {% endif %}
                    </a>  
                </td>

                <td>
                    <a href="#" id="note-language-{{l.id}}" data-name="noteLanguage" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" data-title="Enter value">
                        {% if l.noteLanguage != null %} {{ l.noteLanguage.name }} {% endif %}
                    </a>
                </td> <td>
                    <a href="#" id="note-value-{{l.id}}" data-name="noteValue" data-type="textarea" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" 
                       data-title="Enter value">{{ l.noteValue|e }}</a>
                </td>
                <td>
                    {% if l.user is not empty %}{{ l.user.username|e }}{% endif %}
                </td>
                <td>
                    <button id="delete-note-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endif %}
        {% endfor %}

        <tr><th>Nutritional and Dietary information</th><th></th><th></th><th></th></tr>

        {% for l in e.skosNotes %}
               {% if l.noteType!= null %}
 {% if l.noteType.category == 2 %}
            <tr>
                <td style="background-color:#ccffcc">
                    <a href="#" id="note-type-{{l.id}}" data-name="noteType" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" data-title="Enter value">
                        {% if l.noteType != null %} {{ l.noteType.value }} {% endif %}
                    </a>  
                </td>

                <td>
                    <a href="#" id="note-language-{{l.id}}" data-name="noteLanguage" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" data-title="Enter value">
                        {% if l.noteLanguage != null %} {{ l.noteLanguage.name }} {% endif %}
                    </a>
                </td> <td>
                    <a href="#" id="note-value-{{l.id}}" data-name="noteValue" data-type="textarea" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" 
                       data-title="Enter value">{{ l.noteValue|e }}</a>
                </td>
                <td>
                    {% if l.user is not empty %}{{ l.user.username|e }}{% endif %}
                </td>
                <td>
                    <button id="delete-note-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endif %}
        {% endif %}
        {% endfor %}

        <tr><th>Cultural information</th><th></th><th></th><th></th></tr>

        {% for l in e.skosNotes %}
                {% if l.noteType!= null %}
{% if l.noteType.category == 3 %}
            <tr>
                <td style="background-color:#ffccff">
                    <a href="#" id="note-type-{{l.id}}" data-name="noteType" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" data-title="Enter value">
                        {% if l.noteType != null %} {{ l.noteType.value }} {% endif %}
                    </a>  
                </td>

                <td>
                    <a href="#" id="note-language-{{l.id}}" data-name="noteLanguage" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" data-title="Enter value">
                        {% if l.noteLanguage != null %} {{ l.noteLanguage.name }} {% endif %}
                    </a>
                </td> <td>
                    <a href="#" id="note-value-{{l.id}}" data-name="noteValue" data-type="textarea" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" 
                       data-title="Enter value">{{ l.noteValue|e }}</a>
                </td>
                <td>
                    {% if l.user is not empty %}{{ l.user.username|e }}{% endif %}
                </td>
                <td>
                    <button id="delete-note-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endif %}
        {% endif %}
        {% endfor %}
        
        
        <tr><th>Dish structure</th><th></th><th></th><th></th></tr>

        {% for l in e.skosNotes %}
                {% if l.noteType!= null %}
{% if l.noteType.category == 4 %}
            <tr>
                <td style="background-color:#ffccff">
                    <a href="#" id="note-type-{{l.id}}" data-name="noteType" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" data-title="Enter value">
                        {% if l.noteType != null %} {{ l.noteType.value }} {% endif %}
                    </a>  
                </td>

                <td>
                    <a href="#" id="note-language-{{l.id}}" data-name="noteLanguage" data-type="select" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" data-title="Enter value">
                        {% if l.noteLanguage != null %} {{ l.noteLanguage.name }} {% endif %}
                    </a>
                </td> <td>
                    <a href="#" id="note-value-{{l.id}}" data-name="noteValue" data-type="textarea" data-pk="{{l.id}}" data-url="{{ path('treeEditAJAXAction3')}}" 
                       data-title="Enter value">{{ l.noteValue|e }}</a>
                </td>
                <td>
                    {% if l.user is not empty %}{{ l.user.username|e }}{% endif %}
                </td>
                <td>
                    <button id="delete-note-{{l.id}}" data-pk="{{l.id}}" type="button" class="btn btn-danger btn-xs">Delete</button>
                </td>
            </tr>
        {% endif %}
        {% endif %}
        {% endfor %}

    </table>

    

    <h4>Related</h4>

    <table class="table table-striped table-condensed">
        <tr><th>Type</th><th>Concept</th><th>-</th></tr>
        {% for l in related %}
            <tr>
                <td>
                        {% if l.relationType != null %} {{ l.relationType.value }} {% endif %}
                </td>
                <td>
			<a id="visit-related-concept-{{l.id}}" class="visit-concept"
				data-pk="{{ l.term.id }}" href="#" onclick="return false;">
{% if l.term != null %}

<span style="color:gray">{{ l.term.getParentPath() }}</span><b>{{ l.term.getFormattedName() }}</b>
{% endif %}

</a>
                </td>
                <td>

                </td>
            </tr>
        {% endfor %}
    </table>




    <h4>Inherited Relations</h4>

    <table class="table table-striped table-condensed">
        <tr><th>Type</th><th>Concept</th><th>From Parent</th><th>-</th></tr>




        {% for l in inherited %}

            <tr>
                <td>
                        {% if l.relationType != null %} {{ l.relationType.value }} {% endif %}
                </td>
                <td>
	                {% if l.relatedTerm != null %}
				<b>{{ l.relatedTerm.getFormattedName() }}</b>
				<span style="color:gray">{{ l.relatedTerm.getFormattedParents() }}</span>
			{% endif %}
                </td>
		<td>
			{% if l.term == e %}<b>this instance</b>
			{% elseif l.term != null %}
				<b>{{ l.term.getFormattedName() }}</b>
				<span style="color:gray">{{ l.term.getFormattedParents() }}</span>
			{% endif %}
                </td>

                <td>{% if l.term != null %}{% if l.relatedTerm != null %}{% if l.relatedTerm == l.term %}ERROR (identity relation){% endif %}{% endif %}{% endif %}
			{#<a id="visit-relation-concept-{{l.id}}" class="visit-concept btn btn-warning btn-xs"
				data-pk="{{ l.relatedTerm.id }}" href="#" onclick="return false;">→ Visit Concept</a>#}
                </td>
                
            </tr>

        {% endfor %}



    </table>


</div>

<script>$.fn.editable.defaults.mode = 'inline';</script>

{% for l in e.skosLabels %}
    <script>

        $('#value-{{l.id}}').editable();
        
        $('#language-{{l.id}}').editable({
			value: {% if l.noteLanguage != null %}{{l.noteLanguage.id}}{% else %}null{% endif %},
			source: [ {% for sl in languages %}{ value:{{sl.id}}, text: "{{ sl.name }}"},{% endfor %} ]
        });
        
        $('#article-{{l.id}}').editable({
			value: {% if l.article != null %}{{l.article.id}}{% else %}null{% endif %},
			source: [ {% for sl in articles %}{ value:{{sl.id}}, text: "{{ sl.value }}"},{% endfor %} ]
        });
        
        $('#type-{{l.id}}').editable({ value: {% if l.noteType != null %}{{l.noteType.id}}{% else %}null{% endif %}, source: [
        {% for sl in ttypes %}{value:{{sl.id}}, text: "{{sl.value}}"},{% endfor %}
            ]});
            
            $('#delete-label-{{l.id}}').on('click', function (e) {
            e.preventDefault();
            var r = confirm("Are You Sure?");
            if (r == true) {
            } else {
            return;
            }

            $.ajax({
            url: '{{ path('treeEditAJAXAction') }}',
                    type: "POST",
                    data: { pk: - 1, value: {{ l.id }} },
                    success: function (response) {
                    $('#event_result').load('/concepts/view/' + '{{ e.id }}');
                    //alert('response received');
                    // ajax success callback
                    },
                    error: function (response) {
                    alert('ajax failed');
                    // ajax error callback
                    }
            });
            });
    </script>
{% endfor %}
<script>


function escapeHtml(unsafe) {
    return unsafe
         .replace(/&/g, "&amp;")
         .replace(/</g, "&lt;")
         .replace(/>/g, "&gt;")
         .replace(/"/g, "&quot;")
         .replace(/'/g, "&#039;");
 }


</script>
{% for l in e.skosRelations %}
<script>

	$('#relation-concept-{{l.id}}').editable({
		escape: false,
		success: function(response, newValue) {
			//alert(JSON.stringify(response));
			//alert(newValue);
			$('#visit-relation-concept-{{l.id}}').attr('data-pk', newValue);
			$('#visit-relation-concept-{{l.id}}').data('pk', newValue);
			//if(response.status == 'error') return response.msg; //msg will be shown in editable form
		},
		select2: {
			placeholder: 'Select',
			allowClear: true,
			minimumInputLength: 0,
			id: function (item) {
				return item.Id;
			},
			ajax: {
				url: '{{ path('getCountries') }}',
				dataType: 'json',
				data: function (term, page) {
					return { query: term, fil: $('#relation-type-{{l.id}}').data('pk') };
					$.ajax({
						url: '{{ path('getCountries') }}',
						type: "POST",
						success: function (response) {
							return response;
							//$('#event_result').load('/concepts/view/' + '{{ e.id }}');
							//alert('response received');
							// ajax success callback
						},
		                        	error: function (response) {
							alert('ajax failed');
							// ajax error callback
						}
                        		});
                        	},
                        	results: function (data, page) {
					return { results: data };
                        	}
			},

			escapeMarkup: function(markup) {
				return markup;
			},
			templateResult: function(markup) {
				return markup;
			},
			templateSelection: function(markup) {
				return markup;
			},
			formatResult: function (item) {
				return "<b>" + escapeHtml(item.Name) + "</b> <span style=\"color:gray\">" + escapeHtml(item.Parent)+"</span>";
			},
			formatSelection: function (item) {
				return "<b>" + escapeHtml(item.Name) + "</b> <span style=\"color:gray\">" + escapeHtml(item.Parent)+"</span>";
			},
			initSelection: function (element, callback) {
				return $.get('/getCountryById/' + element.val(), { query: element.val() }, function (data) {
					callback(data);
				});
			}
		}
	});

        $('#relation-type-{{l.id}}').editable({
	    	success: function(response, newValue) {
			$('#event_result').load('/concepts/view/' + '{{ e.id }}');
	        },
		value:  {% if l.relationType != null %}{{l.relationType.id}}{% else %}null{% endif %}, source: [
        {% for sl in rtypes %}
            {value:{{sl.id}}, text: "{{sl.value}}"}
            ,
        {% endfor %}
            ]
            }
            );
            $('#delete-relation-{{l.id}}').on('click', function (e) {
            e.preventDefault();
            var r = confirm("Are You Sure?");
            if (r == true) {
            } else {
            return;
            }
            $.ajax({
            url: '{{ path('treeEditAJAXAction2') }}',
                    type: "POST",
                    data: { pk: - 1, value: {{ l.id }} },
                    success: function (response) {
                    $('#event_result').load('/concepts/view/' + '{{ e.id }}');
                    //alert('response received');
                    // ajax success callback
                    },
                    error: function (response) {
                    alert('ajax failed');
                    // ajax error callback
                    }
            });
            });
    </script>  
{% endfor %}
{% for l in e.skosNotes %}
    <script>

        $('#note-value-{{l.id}}').editable();

        $('#note-language-{{l.id}}').editable({value:  {% if l.noteLanguage != null %}{{l.noteLanguage.id}}{% else %}null{% endif %}, source: [
        {% for sl in languages %}
            { value:{{ sl.id }}, text: "{{sl.name}}"}
            ,
        {% endfor %}
            ]});

        $('#note-type-{{l.id}}').editable({
	    	success: function(response, newValue) {
			$('#event_result').load('/concepts/view/' + '{{ e.id }}');
	        },
		value:  {% if l.noteType != null %}{{ l.noteType.id }}{% else %}null{% endif %},
		source: [
		        {% for sl in ntypes %}
		            { value:{{ sl.id }}, text: "{{ sl.value }}"}
            		,
        		{% endfor %}
            	]
	});

            $('#delete-note-{{l.id}}').on('click', function (e) {
            e.preventDefault();
            var r = confirm("Are You Sure?");
            if (r == true) {
            } else {
            return;
            }
            $.ajax({
            url: '{{ path('treeEditAJAXAction3') }}',
                    type: "POST",
                    data: { pk: - 1, value: {{ l.id }} },
                    success: function (response) {
                    $('#event_result').load('/concepts/view/' + '{{ e.id }}');
                    //alert('response received');
                    // ajax success callback
                    },
                    error: function (response) {
                    alert('ajax failed');
                    // ajax error callback
                    }
            });
            });
    </script>
{% endfor %}
<script>
update_tree_path();
</script>

